Bug 925344 - flamerobin: Does not support aarch64 in f19 and rawhide
flamerobin: Does not support aarch64 in f19 and rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: flamerobin (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Philippe Makowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2013-03-22 20:26 EDT by Dennis Gilmore
Modified: 2013-12-07 09:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-07 09:22:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-03-22 20:26:07 EDT
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  flamerobin appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/flamerobin/flamerobin-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.
Comment 1 Popa Adrian Marius 2013-03-25 06:42:56 EDT
Step 1 done in git http://sourceforge.net/p/flamerobin/flamerobin-git/ci/cb9ef83ec798b94dfce8e14af07c1978c6a3cb9b/

Step 2 should be unnecessary (it gave me some errors but i think i can solve them)

Step 3 if it is easier for Philippe then for current package it can be applied easily 
but version from git should be quite stable also is also the version tracked in debian sid (after freeze)
Comment 2 Philippe Makowski 2013-04-01 15:20:07 EDT
Fix committed (git snapshot from upstream)

Note You need to log in before you can comment on or make changes to this bug.